%ifarch %ix86
%bcond_with mingw32
%else
%bcond_with mingw32
%endif

Summary: A multiplatform Clipper language compiler
Name: harbour
Version: 3.0.0
Release: 11%{?dist}
License: GPLv2+
Group: Development/Languages
URL: http://www.harbour-project.org/
Source0: http://downloads.sourceforge.net/project/harbour-project/source/%{version}/harbour-%{version}.tar.bz2
#Source0: http://downloads.sourceforge.net/project/harbour-project/source/nightly/harbour-nightly.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: zlib-devel, pcre-devel, gpm-devel
BuildRequires: slang-devel, ncurses-devel, libX11-devel
BuildRequires: qt4-devel, qt4-webkit-devel
BuildRequires: openssl-devel, mysql-devel, postgresql-devel
BuildRequires: unixODBC-devel, firebird-devel, file-devel, gd-devel
BuildRequires: freeimage-devel, libcurl-devel, cups-devel, cairo-devel
BuildRequires: allegro-devel
BuildRequires: bzip2-devel, expat-devel
BuildRequires: ghostscript-devel
BuildRequires: lzo-devel
%if %{with mingw32}
BuildRequires: mingw32-gcc, mingw32-gcc-c++, mingw32-qt
BuildRequires: mingw32-zlib, mingw32-pcre, mingw32-libpng, mingw32-openssl
%endif
Requires: gpm-devel
# fake #Provides: to compensate for missing soname
%ifarch x86_64
%global mark64 ()(64bit)
%else
%global mark64 %{nil}
%endif

%description
The Harbour Project is a Free Open Source Software effort to build a
multiplatform Clipper language compiler. Harbour consists of the xBase
language compiler and the runtime libraries with different terminal
plugins and different databases (not just DBF).

%package libs
Summary: Libraries for Harbour applications
Group: System Environment/Libraries
#Provides: libharbour.so%{mark64}
#Provides: libharbourmt.so%{mark64}

%description libs
Runtime libraries needed for Harbour applications.

%package utils
Summary: Utilities used for developing in Harbour
Group: System Environment/Base

%description utils
Utilities used for developing in Harbour.

%package contrib
Summary: Contributed tools for Harbour
Group: System Environment/Base
#Provides: libgtalleg.so%{mark64}
#Provides: libhbblink.so%{mark64}
#Provides: libhbbz2.so%{mark64}
#Provides: libhbcairo.so%{mark64}
#Provides: libhbclipsm.so%{mark64}
#Provides: libhbcomm.so%{mark64}
#Provides: libhbct.so%{mark64}
#Provides: libhbcups.so%{mark64}
#Provides: libhbcurl.so%{mark64}
#Provides: libhbexpat.so%{mark64}
#Provides: libhbfbird.so%{mark64}
#Provides: libhbfimage.so%{mark64}
#Provides: libhbformat.so%{mark64}
#Provides: libhbfoxpro.so%{mark64}
#Provides: libhbfship.so%{mark64}
#Provides: libhbgd.so%{mark64}
#Provides: libhbgt.so%{mark64}
#Provides: libhbhpdf.so%{mark64}
#Provides: libhbhttpd.so%{mark64}
#Provides: libhblzf.so%{mark64}
#Provides: libhbmagic.so%{mark64}
#Provides: libhbmemio.so%{mark64}
#Provides: libhbmisc.so%{mark64}
#Provides: libhbmxml.so%{mark64}
#Provides: libhbmysql.so%{mark64}
#Provides: libhbmzip.so%{mark64}
#Provides: libhbnetio.so%{mark64}
#Provides: libhbnf.so%{mark64}
#Provides: libhbodbc.so%{mark64}
#Provides: libhbpgsql.so%{mark64}
#Provides: libhbposix.so%{mark64}
#Provides: libhbqtcore.so%{mark64}
#Provides: libhbqtdesigner.so%{mark64}
#Provides: libhbqtgui.so%{mark64}
#Provides: libhbqtnetwork.so%{mark64}
#Provides: libhbqtuitools.so%{mark64}
#Provides: libhbqtwebkit.so%{mark64}
#Provides: libhbsms.so%{mark64}
#Provides: libhbsqlit3.so%{mark64}
#Provides: libhbssl.so%{mark64}
#Provides: libhbtip.so%{mark64}
#Provides: libhbtipssl.so%{mark64}
#Provides: libhbtpathy.so%{mark64}
#Provides: libhbxbp.so%{mark64}
#Provides: libhbxdiff.so%{mark64}
#Provides: libhbxpp.so%{mark64}
#Provides: libhbzebra.so%{mark64}
#Provides: libhbziparc.so%{mark64}
#Provides: liblibhpdf.so%{mark64}
#Provides: liblzf.so%{mark64}
#Provides: libminizip.so%{mark64}
#Provides: libmxml.so%{mark64}
#Provides: librddbm.so%{mark64}
#Provides: librddsql.so%{mark64}
#Provides: libsddfb.so%{mark64}
#Provides: libsddmy.so%{mark64}
#Provides: libsddodbc.so%{mark64}
#Provides: libsddpg.so%{mark64}
#Provides: libsddsqlt3.so%{mark64}
#Provides: libsqlite3.so%{mark64}
#Provides: libxdiff.so%{mark64}
#Provides: libxhb.so%{mark64}

%description contrib
Contributed tools for Harbour.

%if 0
%package -n mingw32-harbour-dos
Summary: Harbour support for Microsoft DOS
Group: Development/Languages

%description -n mingw32-harbour-dos
This package contains the files nececcary to build Harbour
applications for DOS.
%endif

%package -n mingw32-harbour-win
Summary: Harbour support for Microsoft Windows
Group: Development/Languages

%description -n mingw32-harbour-win
This package contains the files nececcary to build Harbour
applications for Windows.

%prep
%setup -q
#setup -q -n %{name}
perl -pi -e's,(LIBS = hbcplr hbpp hbcommon) ,$1 m ,' utils/hbrun/Makefile utils/hbmk2/Makefile

echo -e "\n{unix}libpaths=%{_libdir}/mysql" >> contrib/hbmysql/hbmysql.hbc
echo -e "\n{unix}libpaths=%{_libdir}/mysql" >> contrib/sddmy/sddmy.hbc

perl -pi -e's,-quiet,-info,' contrib/make.hbs

perl -pi -e's,{!darwin},{!darwin&!win},' contrib/hbqt/hbqt_common.hbm \
  contrib/hbqt/qtwebkit/hbqtwebkit.hbm

perl -pi -e's,libs=png,libs=png14,' contrib/hbwin/hbwin.hbc
perl -pi -e's,(-depincpath=png:/usr/include),#$1,' contrib/hbwin/hbwin.hbp
perl -pi -e's,(-depincpath=png:/usr/include),#$1,' contrib/hbhpdf/3rd/libhpdf/libhpdf.hbp

%build
qt_prefix=`pkg-config --variable=exec_prefix QtCore` || :
if [ "$qt_prefix" = "" ]; then
  qt_prefix=`ls -d %{_libdir}/qt4* 2>/dev/null | tail -n 1`
fi

if ! echo ${PATH} | /bin/grep -q $qt_prefix/bin ; then
   PATH=$qt_prefix/bin:${PATH}
fi

make \
     HB_BUILD_VERBOSE=yes \
     HB_INSTALL_PREFIX=%{_prefix} \
     HB_BUILD_PKG=yes \
     HB_USER_CFLAGS="%{optflags} -I%{_includedir} -DHB_USE_BSDLOCKS_OFF" \
     HB_USER_LDFLAGS="-L%{_libdir}/mysql" \
     HB_BUILD_SHARED=yes \
     HB_BUILD_CONTRIB=yes HB_BUILD_CONTRIB_DYN=yes \
     HB_QTPOSTFIX=-qt4

%if %{with mingw32}
perl -pi -e's,(-depincpath=pgsql:/usr/include)$,#$1,' contrib/sddpg/sddpg.hbp
%{_mingw32_env}
PATH=%{_mingw32_prefix}%{_bindir}:${PATH}
export LD_LIBRARY_PATH=/var/tmp/repot-build/BUILD/harbour/lib/linux/gcc
%if 0
# TODO dos port
%endif
make \
     HB_BUILD_VERBOSE=yes \
     HB_INSTALL_PREFIX=%{_prefix} \
     HB_BUILD_PKG=yes \
     xxHB_USER_CFLAGS="-I%{_mingw32_includedir}" \
     HB_USER_LDFLAGS="-L%{_mingw32_libdir} -lz -lpcre" \
     HB_USER_DFLAGS="-L%{_mingw32_libdir}" \
     xxHB_USER_DFLAGS="-L%{_mingw32_libdir} -lz -lpcre" \
     HB_USER_LIBS="z pcre" \
     HB_PLATFORM=win HB_COMPILER=mingw HB_CCPREFIX=i686-pc-mingw32-\
     HB_WITH_SLANG=none HB_WITH_X11=none \
     HB_WITH_ZLIB="%{_mingw32_includedir}" \
     HB_INC_ZLIB="%{_mingw32_includedir}" \
     HB_INC_PCRE="%{_mingw32_includedir}" \
     HB_INC_CURSES="%{_mingw32_includedir}" \
     HB_BUILD_SHARED=yes \
     HB_BUILD_CONTRIB=yes HB_BUILD_CONTRIB_DYN=yes \
     HB_QTPOSTFIX=-qt4
perl -pi -e's,#(-depincpath=pgsql:/usr/include)$,$1,' contrib/sddpg/sddpg.hbp
%endif

%install
rm -rf %{buildroot}
make install \
     HB_INSTALL_PKG_ROOT=%{buildroot} \
     HB_INSTALL_BIN=%{buildroot}%{_bindir} \
     HB_INSTALL_INC=%{buildroot}%{_includedir}/harbour \
     HB_INSTALL_LIB=%{buildroot}%{_libdir}/harbour \
     HB_INSTALL_DYN=%{buildroot}%{_libdir}/harbour \
     HB_INSTALL_ETC=%{buildroot}%{_sysconfdir}/harbour \
     HB_INSTALL_MAN=%{buildroot}%{_mandir} \
     HB_INSTALL_DOC=%{buildroot}%{_docdir}/%{name}-%{version} \
     \
     HB_BUILD_VERBOSE=yes \
     HB_INSTALL_PREFIX=%{_prefix} \
     HB_BUILD_PKG=yes \
     HB_USER_CFLAGS="%{optflags} -I%{_includedir}" \
     HB_USER_LDFLAGS="-L%{_libdir}/mysql" \
     HB_BUILD_SHARED=yes \
     HB_BUILD_CONTRIB=yes HB_BUILD_CONTRIB_DYN=yes \
     HB_QTPOSTFIX=-qt4

%if %{with mingw32}
perl -pi -e's,(-depincpath=pgsql:/usr/include)$,#$1,' contrib/sddpg/sddpg.hbp
%{_mingw32_env}
export LD_LIBRARY_PATH=/var/tmp/repot-build/BUILD/harbour/lib/linux/gcc
PATH=%{_mingw32_prefix}%{_bindir}:${PATH}
%if 0
# TODO dos port
%endif
make \
     HB_INSTALL_PKG_ROOT=%{buildroot}%{_mingw32_prefix} \
     HB_INSTALL_BIN=%{buildroot}%{_mingw32_prefix}%{_bindir} \
     HB_INSTALL_INC=%{buildroot}%{_mingw32_prefix}%{_includedir}/harbour \
     HB_INSTALL_LIB=%{buildroot}%{_mingw32_prefix}%{_libdir}/harbour/win \
     HB_INSTALL_DYN=%{buildroot}%{_mingw32_prefix}%{_libdir}/harbour/win \
     HB_INSTALL_ETC=%{buildroot}%{_mingw32_prefix}%{_sysconfdir}/harbour \
     HB_INSTALL_MAN=%{buildroot}%{_mingw32_prefix}%{_mandir} \
     HB_INSTALL_DOC=%{buildroot}%{_mingw32_prefix}%{_docdir}/%{name}-%{version} \
     \
     HB_BUILD_VERBOSE=yes \
     HB_INSTALL_PREFIX=%{_prefix} \
     HB_BUILD_PKG=yes \
     xxxHB_USER_CFLAGS="-I%{_mingw32_includedir}" \
     HB_USER_LDFLAGS="-L%{_mingw32_libdir} -lz" \
     HB_PLATFORM=win HB_COMPILER=mingw HB_CCPREFIX=i686-pc-mingw32-\
     HB_WITH_SLANG=none HB_WITH_X11=none \
     HB_INC_ZLIB="%{_mingw32_includedir}" \
     HB_INC_PCRE="%{_mingw32_includedir}" \
     HB_INC_CURSES="%{_mingw32_includedir}" \
     HB_BUILD_SHARED=yes \
     HB_BUILD_CONTRIB=yes HB_BUILD_CONTRIB_DYN=yes \
     HB_QTPOSTFIX=-qt4
perl -pi -e's,#(-depincpath=pgsql:/usr/include)$,$1,' contrib/sddpg/sddpg.hbp
%endif

%clean
rm -rf %{buildroot}

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%post contrib -p /sbin/ldconfig

%postun contrib -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
#doc
%{_docdir}/%{name}-%{version}
%{_bindir}/harbour
%{_bindir}/hbpp
%{_mandir}/man1/harbour.1*
%{_mandir}/man1/hbpp.1*
%{_includedir}/harbour
%dir %{_libdir}/harbour
%dir %{_sysconfdir}/harbour
%config(noreplace) %{_sysconfdir}/harbour/hb-charmap.def

%files libs
%defattr(-,root,root,-)
#%{_libdir}/harbour/libharbour-%{version}.so


%{_libdir}/harbour/libharbour.so
#%{_libdir}/libharbour-%{version}.so
%{_libdir}/harbour/libharbour.so.3.0
%{_libdir}/harbour/libharbour.so.3.0.0
%{_libdir}/libharbour.so
%{_libdir}/libharbour.so.3.0
%{_libdir}/libharbour.so.3.0.0
#%{_libdir}/harbour/libharbourmt-%{version}.so
#%{_libdir}/harbour/libharbourmt.so
#%{_libdir}/libharbourmt-%{version}.so
#%{_libdir}/libharbourmt.so
%config %{_sysconfdir}/ld.so.conf.d/harbour.conf

%files utils
%defattr(-,root,root,-)
%{_bindir}/hbformat
%{_bindir}/hbi18n
%{_bindir}/hbmk2
%{_bindir}/hbmk2.*.hbl
%{_bindir}/hbrun
%{_bindir}/hbtest
%{_mandir}/man1/hbmk2.1*
%{_mandir}/man1/hbtest.1*
%{_mandir}/man1/hbrun.1*

%files contrib
%defattr(-,root,root,-)
#%{_bindir}/hbmk2l2d.hbs
%{_bindir}/hb3rdpat.hbs
%{_bindir}/hbide
%{_bindir}/hbnetio
%{_libdir}/harbour/libexpat.a
%{_libdir}/harbour/libgtalleg.a
%{_libdir}/harbour/libgtcgi.a
%{_libdir}/harbour/libgtcrs.a
%{_libdir}/harbour/libgtpca.a
%{_libdir}/harbour/libgtqtc.a
%{_libdir}/harbour/libgtsln.a
%{_libdir}/harbour/libgtstd.a
%{_libdir}/harbour/libgttrm.a
%{_libdir}/harbour/libgtxwc.a
%{_libdir}/harbour/libhbblink.a
%{_libdir}/harbour/libhbbz2.a
%{_libdir}/harbour/libhbcairo.a
%{_libdir}/harbour/libhbclipsm.a
%{_libdir}/harbour/libhbcomm.a
%{_libdir}/harbour/libhbcommon.a
%{_libdir}/harbour/libhbcpage.a
%{_libdir}/harbour/libhbcplr.a
%{_libdir}/harbour/libhbct.a
%{_libdir}/harbour/libhbcups.a
%{_libdir}/harbour/libhbcurl.a
%{_libdir}/harbour/libhbdebug.a
%{_libdir}/harbour/libhbexpat.a
%{_libdir}/harbour/libhbextern.a
%{_libdir}/harbour/libhbfbird.a
%{_libdir}/harbour/libhbfimage.a
%{_libdir}/harbour/libhbformat.a
%{_libdir}/harbour/libhbfoxpro.a
%{_libdir}/harbour/libhbfship.a
%{_libdir}/harbour/libhbgd.a
%{_libdir}/harbour/libhbgs.a
%{_libdir}/harbour/libhbgt.a
%{_libdir}/harbour/libhbhpdf.a
%{_libdir}/harbour/libhbhsx.a
%{_libdir}/harbour/libhbhttpd.a
%{_libdir}/harbour/libhblang.a
%{_libdir}/harbour/libhblzf.a
%{_libdir}/harbour/libhbmacro.a
%{_libdir}/harbour/libhbmagic.a
%{_libdir}/harbour/libhbmemio.a
%{_libdir}/harbour/libhbmisc.a
%{_libdir}/harbour/libhbmlzo.a
%{_libdir}/harbour/libhbmxml.a
%{_libdir}/harbour/libhbmysql.a
%{_libdir}/harbour/libhbmzip.a
%{_libdir}/harbour/libhbnetio.a
%{_libdir}/harbour/libhbnf.a
%{_libdir}/harbour/libhbnortl.a
%{_libdir}/harbour/libhbnulrdd.a
%{_libdir}/harbour/libhbodbc.a
%{_libdir}/harbour/libhboslib.a
%{_libdir}/harbour/libhbpgsql.a
#%{_libdir}/harbour/libhbposix.a
%{_libdir}/harbour/libhbpp.a
%{_libdir}/harbour/libhbqtcore.a
%{_libdir}/harbour/libhbqtsql.a
%{_libdir}/harbour/libhbqtdesigner.a
%{_libdir}/harbour/libhbqtgui.a
%{_libdir}/harbour/libhbqtnetwork.a
#%{_libdir}/harbour/libhbqtuitools.a
%{_libdir}/harbour/libhbqtwebkit.a
%{_libdir}/harbour/libhbrdd.a
%{_libdir}/harbour/libhbrtl.a
%{_libdir}/harbour/libhbsix.a
%{_libdir}/harbour/libhbsms.a
%{_libdir}/harbour/libhbsqlit3.a
%{_libdir}/harbour/libhbssl.a
%{_libdir}/harbour/libhbtip.a
%{_libdir}/harbour/libhbtipssl.a
%{_libdir}/harbour/libhbtpathy.a
%{_libdir}/harbour/libhbuddall.a
%{_libdir}/harbour/libhbunix.a
%{_libdir}/harbour/libhbusrrdd.a
%{_libdir}/harbour/libhbvm.a
%{_libdir}/harbour/libhbvmmt.a
%{_libdir}/harbour/libhbxbp.a
%{_libdir}/harbour/libhbxdiff.a
%{_libdir}/harbour/libhbxpp.a
%{_libdir}/harbour/libhbzebra.a
%{_libdir}/harbour/libhbziparc.a
%{_libdir}/harbour/liblibhpdf.a
%{_libdir}/harbour/liblzf.a
%{_libdir}/harbour/libminilzo.a
%{_libdir}/harbour/libminizip.a
%{_libdir}/harbour/libmxml.a
%{_libdir}/harbour/librddbm.a
%{_libdir}/harbour/librddcdx.a
%{_libdir}/harbour/librddfpt.a
%{_libdir}/harbour/librddnsx.a
%{_libdir}/harbour/librddntx.a
%{_libdir}/harbour/librddsql.a
%{_libdir}/harbour/libsddfb.a
%{_libdir}/harbour/libsddmy.a
%{_libdir}/harbour/libsddodbc.a
%{_libdir}/harbour/libsddpg.a
%{_libdir}/harbour/libsddsqlt3.a
%{_libdir}/harbour/libsqlite3.a
%{_libdir}/harbour/libxdiff.a
%{_libdir}/harbour/libxhb.a

#%{_libdir}/harbour/libgtalleg.so
#%{_libdir}/harbour/libgtalleg.so.3.0
#%{_libdir}/harbour/libgtalleg.so.3.0.0
%{_libdir}/harbour/libgtqtc.so
%{_libdir}/harbour/libgtqtc.so.3.0
%{_libdir}/harbour/libgtqtc.so.3.0.0
%{_libdir}/harbour/libhbblink.so
%{_libdir}/harbour/libhbblink.so.3.0
%{_libdir}/harbour/libhbblink.so.3.0.0
%{_libdir}/harbour/libhbbz2.so
%{_libdir}/harbour/libhbbz2.so.3.0
%{_libdir}/harbour/libhbbz2.so.3.0.0
%{_libdir}/harbour/libhbcairo.so
%{_libdir}/harbour/libhbcairo.so.3.0
%{_libdir}/harbour/libhbcairo.so.3.0.0
%{_libdir}/harbour/libhbclipsm.so
%{_libdir}/harbour/libhbclipsm.so.3.0
%{_libdir}/harbour/libhbclipsm.so.3.0.0
%{_libdir}/harbour/libhbcomm.so
%{_libdir}/harbour/libhbcomm.so.3.0
%{_libdir}/harbour/libhbcomm.so.3.0.0
%{_libdir}/harbour/libhbct.so
%{_libdir}/harbour/libhbct.so.3.0
%{_libdir}/harbour/libhbct.so.3.0.0
%{_libdir}/harbour/libhbcups.so
%{_libdir}/harbour/libhbcups.so.3.0
%{_libdir}/harbour/libhbcups.so.3.0.0
%{_libdir}/harbour/libhbcurl.so
%{_libdir}/harbour/libhbcurl.so.3.0
%{_libdir}/harbour/libhbcurl.so.3.0.0
%{_libdir}/harbour/libhbexpat.so
%{_libdir}/harbour/libhbexpat.so.3.0
%{_libdir}/harbour/libhbexpat.so.3.0.0
%{_libdir}/harbour/libhbfbird.so
%{_libdir}/harbour/libhbfbird.so.3.0
%{_libdir}/harbour/libhbfbird.so.3.0.0
%{_libdir}/harbour/libhbfimage.so
%{_libdir}/harbour/libhbfimage.so.3.0
%{_libdir}/harbour/libhbfimage.so.3.0.0
%{_libdir}/harbour/libhbformat.so
%{_libdir}/harbour/libhbformat.so.3.0
%{_libdir}/harbour/libhbformat.so.3.0.0
%{_libdir}/harbour/libhbfoxpro.so
%{_libdir}/harbour/libhbfoxpro.so.3.0
%{_libdir}/harbour/libhbfoxpro.so.3.0.0
%{_libdir}/harbour/libhbfship.so
%{_libdir}/harbour/libhbfship.so.3.0
%{_libdir}/harbour/libhbfship.so.3.0.0
%{_libdir}/harbour/libhbgd.so
%{_libdir}/harbour/libhbgd.so.3.0
%{_libdir}/harbour/libhbgd.so.3.0.0
%{_libdir}/harbour/libhbgs.so
%{_libdir}/harbour/libhbgs.so.3.0
%{_libdir}/harbour/libhbgs.so.3.0.0
%{_libdir}/harbour/libhbgt.so
%{_libdir}/harbour/libhbgt.so.3.0
%{_libdir}/harbour/libhbgt.so.3.0.0
%{_libdir}/harbour/libhbhpdf.so
%{_libdir}/harbour/libhbhpdf.so.3.0
%{_libdir}/harbour/libhbhpdf.so.3.0.0
%{_libdir}/harbour/libhbhttpd.so
%{_libdir}/harbour/libhbhttpd.so.3.0
%{_libdir}/harbour/libhbhttpd.so.3.0.0
%{_libdir}/harbour/libhblzf.so
%{_libdir}/harbour/libhblzf.so.3.0
%{_libdir}/harbour/libhblzf.so.3.0.0
%{_libdir}/harbour/libhbmagic.so
%{_libdir}/harbour/libhbmagic.so.3.0
%{_libdir}/harbour/libhbmagic.so.3.0.0
%{_libdir}/harbour/libhbmemio.so
%{_libdir}/harbour/libhbmemio.so.3.0
%{_libdir}/harbour/libhbmemio.so.3.0.0
%{_libdir}/harbour/libhbmisc.so
%{_libdir}/harbour/libhbmisc.so.3.0
%{_libdir}/harbour/libhbmisc.so.3.0.0
%{_libdir}/harbour/libhbmlzo.so
%{_libdir}/harbour/libhbmlzo.so.3.0
%{_libdir}/harbour/libhbmlzo.so.3.0.0
%{_libdir}/harbour/libhbmxml.so
%{_libdir}/harbour/libhbmxml.so.3.0
%{_libdir}/harbour/libhbmxml.so.3.0.0
%{_libdir}/harbour/libhbmysql.so
%{_libdir}/harbour/libhbmysql.so.3.0
%{_libdir}/harbour/libhbmysql.so.3.0.0
%{_libdir}/harbour/libhbmzip.so
%{_libdir}/harbour/libhbmzip.so.3.0
%{_libdir}/harbour/libhbmzip.so.3.0.0
%{_libdir}/harbour/libhbnetio.so
%{_libdir}/harbour/libhbnetio.so.3.0
%{_libdir}/harbour/libhbnetio.so.3.0.0
%{_libdir}/harbour/libhbnf.so
%{_libdir}/harbour/libhbnf.so.3.0
%{_libdir}/harbour/libhbnf.so.3.0.0
%{_libdir}/harbour/libhbodbc.so
%{_libdir}/harbour/libhbodbc.so.3.0
%{_libdir}/harbour/libhbodbc.so.3.0.0
%{_libdir}/harbour/libhboslib.so
%{_libdir}/harbour/libhboslib.so.3.0
%{_libdir}/harbour/libhboslib.so.3.0.0
%{_libdir}/harbour/libhbpgsql.so
%{_libdir}/harbour/libhbpgsql.so.3.0
%{_libdir}/harbour/libhbpgsql.so.3.0.0
#%{_libdir}/harbour/libhbposix.so
#%{_libdir}/harbour/libhbposix.so.3.0
#%{_libdir}/harbour/libhbposix.so.3.0.0
%{_libdir}/harbour/libhbqtcore.so
%{_libdir}/harbour/libhbqtcore.so.3.0
%{_libdir}/harbour/libhbqtcore.so.3.0.0
%{_libdir}/harbour/libhbqtdesigner.so
%{_libdir}/harbour/libhbqtdesigner.so.3.0
%{_libdir}/harbour/libhbqtdesigner.so.3.0.0
%{_libdir}/harbour/libhbqtgui.so
%{_libdir}/harbour/libhbqtgui.so.3.0
%{_libdir}/harbour/libhbqtgui.so.3.0.0
%{_libdir}/harbour/libhbqtnetwork.so
%{_libdir}/harbour/libhbqtnetwork.so.3.0
%{_libdir}/harbour/libhbqtnetwork.so.3.0.0
%{_libdir}/harbour/libhbqtsql.so
%{_libdir}/harbour/libhbqtsql.so.3.0
%{_libdir}/harbour/libhbqtsql.so.3.0.0
#%{_libdir}/harbour/libhbqtuitools.so
#%{_libdir}/harbour/libhbqtuitools.so.3.0
#%{_libdir}/harbour/libhbqtuitools.so.3.0.0
%{_libdir}/harbour/libhbqtwebkit.so
%{_libdir}/harbour/libhbqtwebkit.so.3.0
%{_libdir}/harbour/libhbqtwebkit.so.3.0.0
%{_libdir}/harbour/libhbsms.so
%{_libdir}/harbour/libhbsms.so.3.0
%{_libdir}/harbour/libhbsms.so.3.0.0
%{_libdir}/harbour/libhbsqlit3.so
%{_libdir}/harbour/libhbsqlit3.so.3.0
%{_libdir}/harbour/libhbsqlit3.so.3.0.0
%{_libdir}/harbour/libhbssl.so
%{_libdir}/harbour/libhbssl.so.3.0
%{_libdir}/harbour/libhbssl.so.3.0.0
%{_libdir}/harbour/libhbtip.so
%{_libdir}/harbour/libhbtip.so.3.0
%{_libdir}/harbour/libhbtip.so.3.0.0
%{_libdir}/harbour/libhbtipssl.so
%{_libdir}/harbour/libhbtipssl.so.3.0
%{_libdir}/harbour/libhbtipssl.so.3.0.0
%{_libdir}/harbour/libhbtpathy.so
%{_libdir}/harbour/libhbtpathy.so.3.0
%{_libdir}/harbour/libhbtpathy.so.3.0.0
%{_libdir}/harbour/libhbunix.so
%{_libdir}/harbour/libhbunix.so.3.0
%{_libdir}/harbour/libhbunix.so.3.0.0
%{_libdir}/harbour/libhbxbp.so
%{_libdir}/harbour/libhbxbp.so.3.0
%{_libdir}/harbour/libhbxbp.so.3.0.0
%{_libdir}/harbour/libhbxdiff.so
%{_libdir}/harbour/libhbxdiff.so.3.0
%{_libdir}/harbour/libhbxdiff.so.3.0.0
%{_libdir}/harbour/libhbxpp.so
%{_libdir}/harbour/libhbxpp.so.3.0
%{_libdir}/harbour/libhbxpp.so.3.0.0
%{_libdir}/harbour/libhbzebra.so
%{_libdir}/harbour/libhbzebra.so.3.0
%{_libdir}/harbour/libhbzebra.so.3.0.0
%{_libdir}/harbour/libhbziparc.so
%{_libdir}/harbour/libhbziparc.so.3.0
%{_libdir}/harbour/libhbziparc.so.3.0.0
#%{_libdir}/harbour/liblibhpdf.so
#%{_libdir}/harbour/liblibhpdf.so.3.0
#%{_libdir}/harbour/liblibhpdf.so.3.0.0
#%{_libdir}/harbour/liblzf.so
#%{_libdir}/harbour/liblzf.so.3.0
#%{_libdir}/harbour/liblzf.so.3.0.0
%{_libdir}/harbour/libminilzo.so
%{_libdir}/harbour/libminilzo.so.3.0
%{_libdir}/harbour/libminilzo.so.3.0.0
#%{_libdir}/harbour/libminizip.so
#%{_libdir}/harbour/libminizip.so.3.0
#%{_libdir}/harbour/libminizip.so.3.0.0
#%{_libdir}/harbour/libmxml.so
#%{_libdir}/harbour/libmxml.so.3.0
#%{_libdir}/harbour/libmxml.so.3.0.0
%{_libdir}/harbour/librddbm.so
%{_libdir}/harbour/librddbm.so.3.0
%{_libdir}/harbour/librddbm.so.3.0.0
%{_libdir}/harbour/librddsql.so
%{_libdir}/harbour/librddsql.so.3.0
%{_libdir}/harbour/librddsql.so.3.0.0
%{_libdir}/harbour/libsddfb.so
%{_libdir}/harbour/libsddfb.so.3.0
%{_libdir}/harbour/libsddfb.so.3.0.0
%{_libdir}/harbour/libsddmy.so
%{_libdir}/harbour/libsddmy.so.3.0
%{_libdir}/harbour/libsddmy.so.3.0.0
%{_libdir}/harbour/libsddodbc.so
%{_libdir}/harbour/libsddodbc.so.3.0
%{_libdir}/harbour/libsddodbc.so.3.0.0
%{_libdir}/harbour/libsddpg.so
%{_libdir}/harbour/libsddpg.so.3.0
%{_libdir}/harbour/libsddpg.so.3.0.0
%{_libdir}/harbour/libsddsqlt3.so
%{_libdir}/harbour/libsddsqlt3.so.3.0
%{_libdir}/harbour/libsddsqlt3.so.3.0.0
#%{_libdir}/harbour/libsqlite3.so
#%{_libdir}/harbour/libsqlite3.so.3.0
#%{_libdir}/harbour/libsqlite3.so.3.0.0
#%{_libdir}/harbour/libxdiff.so
#%{_libdir}/harbour/libxdiff.so.3.0
#%{_libdir}/harbour/libxdiff.so.3.0.0
%{_libdir}/harbour/libxhb.so
%{_libdir}/harbour/libxhb.so.3.0
%{_libdir}/harbour/libxhb.so.3.0.0

%if %{with mingw32}
%if 0
%files -n mingw32-harbour-dos
%defattr(-,root,root,-)
%endif

%files -n mingw32-harbour-win
%defattr(-,root,root,-)
%endif

%changelog
* Sun Aug  7 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 3.0.0-11
- Update to 3.0.0.

* Thu Jan 20 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.1.0-9_beta3
- Update to beta3.

* Sat Nov 27 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.1.0-1_beta2
- Initial build.
